CentOS 8:spice-vdagent (CESA-2021: 1791)

medium Nessus 插件 ID 149754
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 CentOS 主机缺少一个或多个安全更新。

描述

远程 CentOS Linux 8 主机上安装的程序包受到 CESA-2021: 1791 公告中提及的多个漏洞影响。

- spice-vdagent:通过 active_xfers 哈希表中的任意条目,造成内存 DoS (CVE-2020-25650)

- spice-vdagent:通过 active_xfers 哈希映射可能造成文件传输 DoS 和信息泄漏 (CVE-2020-25651)

- spice-vdagent:在 vdagentd 中可能造成文件描述符耗尽 (CVE-2020-25652)

- spice-vdagent:通过 SO_PEERCRED 检索的 UNIX 域套接字对等 PID 存在争用情形 (CVE-2020-25653)

请注意,Nessus 尚未测试此问题,而是只依赖于应用程序自我报告的版本号。

解决方案

更新受影响的 spice-vdagent 程序包。

另见

https://access.redhat.com/errata/RHSA-2021:1791

插件详情

严重性: Medium

ID: 149754

文件名: centos8_RHSA-2021-1791.nasl

版本: 1.3

类型: local

代理: unix

发布时间: 2021/5/19

最近更新时间: 2021/6/2

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2020-25653

VPR

风险因素: Medium

分数: 6

CVSS v2

风险因素: Medium

基本分数: 5.4

时间分数: 4

矢量: AV:L/AC:M/Au:N/C:P/I:N/A:C

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: Medium

基本分数: 6.3

时间分数: 5.5

矢量: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/o:centos:centos:8-stream, p-cpe:/a:centos:centos:spice-vdagent

必需的 KB 项: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

易利用性: No known exploits are available

补丁发布日期: 2021/5/18

漏洞发布日期: 2020/11/25

参考资料信息

CVE: CVE-2020-25650, CVE-2020-25651, CVE-2020-25652, CVE-2020-25653

RHSA: 2021:1791